BizKitHub
DocsAPI ReferenceProduct/bff/product/product-custom-field-update
postProductAdmin BFF

/bff/product/product-custom-field-update

Updates an existing custom field on a product. Any combination of key, value, and active can be changed. Fields not provided retain their current values.

ProductpostBffProductProduct-custom-field-update

Parameters

JSON body

Request body

application/json
idstringRequired

Current custom field key (used to find the field).

Examplematerial
productCodestringRequired

Product code the field belongs to.

Examplemy-product
keystringOptional

New key (to rename the field).

Length: 132
Examplefabric
valuestringOptional

New value for the field.

Examplesilk
activebooleanOptional

New active status.

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the field was updated.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/product-custom-field-update

post
curl -X POST "https://api.bizkithub.com/bff/product/product-custom-field-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "material",
  "productCode": "my-product",
  "key": "fabric",
  "value": "silk",
  "active": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key